<div class="container">
  <div class="m2Sys-box">
    <form #form="ngForm" autocomplete="off" (submit)="addEmployeeLeave()">
      <button type="button" class="btn btn-primary float-md-none" (click)="backToList();">Back To List</button>
      <fieldset>
        <b><legend class="offset-5">Leave Add</legend></b>
        
        <div class="row">
          <div class="col-lg-12 col-md-12 col-sm-12">

            <div class="form-inline">
              <div class="form-group col-lg-6 col-md-6 col-sm-12">
                <label class="form-group col-lg-4 col-md-4 col-sm-12" for="emp-leave-add-start-date">Start Date</label>
                <input type="date" id="emp-leave-add-start-date" class="form-control col-lg-6 col-md-6 col-sm-12 form-control-m2sys" name="emp-leave-add-start-date" [value]="leave.StartDate| date:'yyyy-MM-dd'" (input)="leave.StartDate=($event.target.valueAsDate)" required />
                <label *ngIf="formValidation.StartDate.length>0" class="alert alert-danger">
                  {{formValidation.StartDate}}
                </label>
              </div>
              <div class="form-group col-lg-6 col-md-6 col-sm-12">
                <label class="form-group col-lg-4 col-md-4 col-sm-12" for="emp-leave-end-date">End Date</label>
                <input type="date" id="emp-leave-add-end-date" class="form-control col-lg-6 col-md-6 col-sm-12 form-control-m2sys" name="emp-leave-add-end-date" [value]="leave.EndDate| date:'yyyy-MM-dd'" (input)="leave.EndDate=($event.target.valueAsDate)" required />
                <label *ngIf="formValidation.EndDate.length>0" class="alert alert-danger">
                  {{formValidation.EndDate}}
                </label>
              </div>
            </div>
            <div class="form-inline">
              <div class="form-group col-lg-6 col-md-6 col-sm-12">
                <label class="form-group col-lg-4 col-md-4 col-sm-12" for="emp-leave-start-date">Type</label>
                <select name="select-emp-leave-add-type" id="select-emp-leave-add-type" class="form-control" [(ngModel)]="leave.LeaveType">
                  <option *ngFor="let leaveType of leaveTypes" value={{leaveType.Id}}>
                    {{leaveType.Name}}
                  </option>
                </select>
                <label *ngIf="formValidation.LeaveType.length>0" class="alert alert-danger">
                  {{formValidation.LeaveType}}
                </label>
              </div>
              <div class="form-group col-lg-6 col-md-6 col-sm-12">
                <label class="form-group col-lg-4 col-md-4 col-sm-12" for="emp-leave-add-description">Description</label>
                <textarea id="emp-leave-add-description" class="form-control col-lg-6 col-md-6 col-sm-12 form-control-m2sys" name="emp-leave-add-description" [(ngModel)]="leave.Description" maxlength="200"></textarea>
              </div>
            </div>
            <button type="submit" class="btn btn-success offset-10" id="btn-employee-leave-add" name="btn-employee-leave-add">Save</button>
          </div>
        </div>
      </fieldset>
    </form>
  </div>
</div>
